import { SchematicContext } from "@angular-devkit/schematics";
export declare class RenderEngine {
    private context;
    componentContent: Record<string, string>;
    toTemplate(element: any): any;
    constructor(context: SchematicContext);
    renderHTML(element: {
        type?: string;
        [key: string]: any;
    }): string;
    renderTS(section: string, element: {
        type?: string;
        [key: string]: any;
    }): string;
    _render(element: {
        type?: string;
        [key: string]: any;
    }, filename: string, allowMissingTemplate: boolean): string;
}
